Begin a PKCE connection
Local development Figma integration. Current session, membership and scoped permissions are checked. No SDK key or provider secret grants management access.
POST /api/v1/figma/pairingsOperation: beginFigmaConnection · Download OpenAPI
Access
Section titled “Access”This operation does not use the panel session as its authentication mechanism. Follow the operation-specific checks described above.
Parameters
Section titled “Parameters”| Name | Location | Required | Description |
|---|---|---|---|
X-Localisync-Figma-Protocol |
header | Yes | See constraints below. |
Origin |
header | Yes | Must equal the configured panel origin. |
X-Localisync-Figma-Protocol
Section titled “X-Localisync-Figma-Protocol”{ "type": "string", "enum": [ "1" ]}Origin
Section titled “Origin”{ "type": "string"}Request body
Section titled “Request body”Required: Yes.
application/json
Section titled “application/json”Schema reference: Begin.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
protocol |
number | Yes | — |
challenge |
string | Yes | pattern: "^[\\w-]{43}$" |
{ "$ref": "#/components/schemas/Begin"}Responses
Section titled “Responses”Authorized result.
Content type: application/json
Schema reference: Pairing.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
id |
string | Yes | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
code |
string | Yes | pattern: "^\\d{6}$" |
readKey |
string | Yes | — |
expiresAt |
string | Yes | format: "date-time"; pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$" |
{ "$ref": "#/components/schemas/Pairing"}Authorized result from a POST command.
Content type: application/json
Schema reference: Pairing.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
id |
string | Yes | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
code |
string | Yes | pattern: "^\\d{6}$" |
readKey |
string | Yes | — |
expiresAt |
string | Yes | format: "date-time"; pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$" |
{ "$ref": "#/components/schemas/Pairing"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Safe failure; preserve drafts and inspect the existing operation before retrying.
Content type: application/json
Schema reference: Error.
| Field | Type | Required | Constraints / description |
|---|---|---|---|
error |
string | Yes | — |
message |
string | Yes | — |
requestId |
string | No | format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" |
{ "$ref": "#/components/schemas/Error"}Related guidance
Section titled “Related guidance”Choose whether we remember appearance preferences and use Google Analytics on Localisync and its documentation. Optional storage stays off until you accept.
Read our cookie policy